--- a/configure.in
+++ b/configure.in
@@ -11,7 +11,6 @@
 
 AC_PROG_CC
 AX_COMPILER_VENDOR
-AX_CC_MAXOPT
 
 dnl
 dnl GNU gettext related things
@@ -86,7 +85,7 @@
 AC_ARG_WITH(png,
         [  --with-png=yes/no       enables/disables PNG saving support],[
 	if test x$withval = xyes; then
-	  png=test
+	  png=yes
 	fi
 	if test x$withval = xno; then
 	  png=no
@@ -141,7 +140,7 @@
 dnl Checks for programs.
 
 DRIVERDIRS=""
-LOCALEDIR="/usr/share/locale"
+LOCALEDIR="$prefix/share/locale"
 DRIVERLIBS="lib/libui.a lib/libui-hlp.a lib/libengine.a lib/libutil.a lib/libfilter.a"
 AC_PROG_INSTALL
 
@@ -422,7 +421,7 @@
 AC_SUBST(REALTOPDIR)
 BINPATH="$REALTOPDIR/bin"
 AC_SUBST(BINPATH)
-AR="ar"
+AC_CHECK_TOOL([AR], [ar])
 AC_SUBST(AR)
 SRCPATH="$REALTOPDIR/src"
 AC_SUBST(SRCPATH)
@@ -450,7 +449,7 @@
     echo "using GSL for complex numbers"
     GSL_LIBS=`$GSL_CONFIG --libs`
     GSL_CFLAGS=`$GSL_CONFIG --cflags`
-    CFLAGS="$CFLAGS $GSL_CFLAGS -fomit-frame-pointer -DSFFE_USING -DSFFE_CMPLX_GSL"
+    CFLAGS="$CFLAGS $GSL_CFLAGS -DSFFE_USING -DSFFE_CMPLX_GSL"
     DRIVERLIBS="$DRIVERLIBS lib/libsffe.a"
     ASM_CMPLX_O=""
   fi 
@@ -473,8 +472,6 @@
   fi
  fi
  echo "------------------------------------------------------------"
-else
-	CFLAGS="$CFLAGS -fomit-frame-pointer"
 fi
 
 
--- a/Makefile.in
+++ b/Makefile.in
@@ -36,7 +36,7 @@
 	@INSTALL@ -d $(DESTDIR)$(datadir)/XaoS/help
 	@INSTALL@ -d $(DESTDIR)$(bindir)
 	@INSTALL@ -d $(DESTDIR)$(mandir)/man6
-	@INSTALL@ -s bin/xaos $(DESTDIR)$(bindir)
+	@INSTALL@ bin/xaos $(DESTDIR)$(bindir)
 	@INSTALL@ -m 444 tutorial/*.x[ah]f $(DESTDIR)$(datadir)/XaoS/tutorial
 
 	@INSTALL@ -m 444 examples/README $(DESTDIR)$(datadir)/XaoS/examples
@@ -49,7 +49,7 @@
 
 	@INSTALL@ -m 444 catalogs/*.cat catalogs/README $(DESTDIR)$(datadir)/XaoS/catalogs
 	@INSTALL@ -m 444 help/xaos.hlp $(DESTDIR)$(datadir)/XaoS/help
-	@INSTALL@ -m 444 AUTHORS NEWS COPYING TODO INSTALL ChangeLog ChangeLog.old $(DESTDIR)$(datadir)/XaoS/doc
+	@INSTALL@ -m 444 AUTHORS NEWS TODO ChangeLog ChangeLog.old $(DESTDIR)$(datadir)/XaoS/doc
 	@INSTALL@ -m 444 doc/xaos.6 $(DESTDIR)$(mandir)/man6
 	test -z "$(infodir)" || @INSTALL@ -d "$(DESTDIR)$(infodir)"
 	@INSTALL@ -m 444 doc/xaos.info $(DESTDIR)$(infodir)/xaos.info
--- a/src/ui/ui-drv/gtk/Makefile.in
+++ b/src/ui/ui-drv/gtk/Makefile.in
@@ -2,7 +2,7 @@
 CFLAGS = @CFLAGS@
 LIBS   = @LIBS@ -lm
 LFLAGS = @LDFLAGS@
-#AR     = @AR@
+AR     = @AR@
 RANLIB = @RANLIB@
 
 SRCS = ui_gtk.c 
